QGIS Application - Bug report #3757
"use project crs" does not work correctly
2011-04-17 11:56 PM - Alister Hood

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13816
Description

"Options>CRS>Coordinate Reference System for new layers>Use project CRS" does not work correctly:

When loading a layer which does not have a CRS, it is set to the original project CRS, not the current project CRS. So if | click "File-New

Project", then add a layer which does not have a CRS, then change the project CRS, then add another layer, the second layer will be

assigned the same CRS as the first layer.

I am using r15740. The behaviour is the same for both raster and vector layers.

Associated revisions

Revision 8f08920e - 2011-04-19 01:36 AM - Jiirgen Fischer

fix #3757

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15764 c¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision c44776e9 - 2011-04-19 01:36 AM - Jiirgen Fischer

fix #3757

git-svn-id: http://svn.osgeo.org/qgis/trunk@15764 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-04-28 09:49 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:c44776e9 (SVN r15765).
